Package Details: libdigidocpp 3.14.4.1401-1

Git Clone URL: https://aur.archlinux.org/libdigidocpp.git (read-only, click to copy)
Package Base: libdigidocpp
Description: Library for creating, signing and verification of digitally signed documents, according to XAdES and XML-DSIG standards
Upstream URL: http://www.id.ee/
Keywords: esteid
Licenses: LGPL
Submitter: kevku
Maintainer: kevku
Last Packager: kevku
Votes: 13
Popularity: 0.018432
First Submitted: 2012-12-12 12:15
Last Updated: 2020-10-05 19:23

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

grawity commented on 2015-10-27 08:47

Build failures with 3.11.1.1304-1 (boost 1.59.0-2):

/tmp/pacaurtmp-grawity/libdigidocpp/src/test/libdigidocpp_boost.cpp: In destructor ‘DigiDocPPFixture::~DigiDocPPFixture()’:
/tmp/pacaurtmp-grawity/libdigidocpp/src/test/libdigidocpp_boost.cpp:157:47: error: ‘BOOST_MESSAGE’ was not declared in this scope
BOOST_MESSAGE("unloading libdigidocpp");
^
In file included from /usr/include/boost/test/unit_test.hpp:19:0,
from /usr/include/boost/test/included/unit_test.hpp:34,
from /tmp/pacaurtmp-grawity/libdigidocpp/src/test/libdigidocpp_boost.cpp:21:
/tmp/pacaurtmp-grawity/libdigidocpp/src/test/libdigidocpp_boost.cpp: At global scope:
/tmp/pacaurtmp-grawity/libdigidocpp/src/test/libdigidocpp_boost.cpp:163:1: error: expected initializer before ‘namespace’
BOOST_AUTO_TEST_SUITE(SignerSuite)
^
test/CMakeFiles/unittests.dir/build.make:62: recipe for target 'test/CMakeFiles/unittests.dir/libdigidocpp_boost.cpp.o' failed

mareke commented on 2015-09-15 18:58

ERROR: Failure while downloading libdigidocpp_3.11.0.1296.orig.tar.xz

kristerv commented on 2015-02-17 13:35

kevku, are you intending to fix these issues or does someone have to take over?

kristerv commented on 2015-02-01 22:02

installing xsd3-bin does the trick. now I've still got
libdigidocpp-3.9.0.1237.tar.gz ... FAILED (unknown public key B339B36D592073D4)

I guess I'll makepkg --skippgpcheck manually..

kristerv commented on 2015-02-01 22:01

installing xsd3-bin does the trick. now I've still got
libdigidocpp-3.9.0.1237.tar.gz ... FAILED (unknown public key B339B36D592073D4)

I guess I'll makepkg --ignorepgpcheck manually..

kristerv commented on 2015-02-01 20:34

error: target not found: xsd=3.3.0

ram4nd commented on 2015-01-06 07:35

The build fails for me because of xsd=3.3.0 is no longer available as default.

syne commented on 2014-09-29 13:54

I succeeded with only having to downgrade xsd to 3.3.0-11

intgr commented on 2014-09-22 12:42

True... In total I needed to downgrade:
xsd (4.0.0-1 -> 3.3.0-9)
boost-libs (1.56.0-1 -> 1.54.0-4)
boost (1.56.0-1 -> 1.54.0-4)
icu (53.1-1 -> 52.1-1)

And finally got it to build. But then qdigidoc won't build with these versions (/usr/lib/qt/bin/lrelease: error while loading shared libraries: libicui18n.so.53 ...)
After upgrading again, things seem to be working.

kevku commented on 2014-09-22 12:26

looks like xsd 4.0 broke the build you will need to use xsd 3.3.0